Bug 825355 - added missing weld-build-config library
added missing weld-build-config library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: weld-core (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Juan Hernández
Fedora Extras Quality Assurance
:
Depends On: 969769
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-25 15:05 EDT by gil cattaneo
Modified: 2013-07-24 02:47 EDT (History)
2 users (show)

See Also:
Fixed In Version: weld-core-1.1.13-1.Final.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-23 23:24:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
add missing weld-build-config library (3.30 KB, patch)
2012-05-25 15:05 EDT, gil cattaneo
no flags Details | Diff
Proposed patch to remove completely the build-config module (4.65 KB, patch)
2012-05-26 10:44 EDT, Juan Hernández
no flags Details | Diff
weld-core-1.1.5.AS71.Final-remove-checkstyle.patch (4.17 KB, patch)
2012-05-26 11:15 EDT, gil cattaneo
no flags Details | Diff

  None (edit)
Description gil cattaneo 2012-05-25 15:05:21 EDT
Created attachment 586927 [details]
add missing weld-build-config library

Description of problem:

[INFO] ------------------------------------------------------------------------
[INFO] Building jersey-servlet 1.12
[INFO] ------------------------------------------------------------------------
[WARNING] The POM for org.jboss.weld:weld-build-config:jar:1.1.5.AS71.Final is missing, no dependency information available
[INFO]


Version-Release number of selected component (if applicable): 1.1.5.AS71.Final


How reproducible:
always


Expected results:
package this artifact please
Comment 1 Juan Hernández 2012-05-26 10:43:05 EDT
The weld-build-config.jar file contains only the checkstyle.xml file used in the rest of the build. I think that is not useful to have that packages, as it is never used after the build.

If the problem you have while building jersey-servlet is only I warning I would not change anything. If this is really blocking your build what I would do is remove completely the org.jboss.weld:weld-build-config:jar:1.1.5.AS71.Final artifact from the weld-core build instead of adding the jar file to the package.

I am attaching a patch for that change. Let me know if this solves your problem and I will commit it and build updated packages for rawhide and F17.
Comment 2 Juan Hernández 2012-05-26 10:44:42 EDT
Created attachment 587017 [details]
Proposed patch to remove completely the build-config module
Comment 3 gil cattaneo 2012-05-26 11:15:20 EDT
Created attachment 587018 [details]
weld-core-1.1.5.AS71.Final-remove-checkstyle.patch

is the same patch?
Comment 4 gil cattaneo 2012-05-26 11:17:13 EDT
fixed thanks
Comment 5 Marek Goldmann 2012-10-15 07:46:04 EDT
Was the issue fixed? Please close the ticket afterwards.
Comment 6 gil cattaneo 2012-10-15 13:22:05 EDT
hi @ all,
the problem still persist, but i patched the jersey package for ignore the missing artifact
thanks
regards
Comment 7 Fedora End Of Life 2013-04-03 15:27:04 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 8 Fedora Update System 2013-07-10 15:04:31 EDT
weld-core-1.1.13-1.Final.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/weld-core-1.1.13-1.Final.fc19
Comment 9 Fedora Update System 2013-07-11 23:00:53 EDT
Package weld-core-1.1.13-1.Final.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing weld-core-1.1.13-1.Final.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-12777/weld-core-1.1.13-1.Final.fc19
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2013-07-23 23:24:42 EDT
weld-core-1.1.13-1.Final.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.